Retrieves the Key Manager ID of an Ops Manager installation. The Key Manager ID identifies the installation, including every instance in a high-availability setup. The Key Portal uses it to issue a license key for your installation. Ops Manager returns it in the holderId field and rejects a license key that MongoDB issued for a different Key Manager ID.
Required Roles
To access this resource, your API key must have the Global Owner role. The Global Owner role is the highest role in Ops Manager. Only users with this role can view and manage license keys.
Request
Send a GET request to retrieve the Key Manager ID.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /admin/artifacts/identityRequest Path Parameters
This endpoint doesn't use HTTP request path parameters.
Request Query Parameters
This endpoint accepts the following query parameters:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
The response contains the following field:
Field | Type | Description |
|---|---|---|
| string | Key Manager ID of the Ops Manager installation. |
Example Request
Use curl to send a GET request to the /admin/artifacts/identity endpoint:
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/artifacts/identity?pretty=true"Example Response
The following examples show the response headers and the response body of a successful request.
Response Header
The following headers show an unauthorized response and a successful response:
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
The following example shows the response body:
{ "holderId": "{KEY-MANAGER-ID}"}